Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513078 - Tracker bug -- 7.4.3 respin of sssd-docker
Summary: Tracker bug -- 7.4.3 respin of sssd-docker
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd-container
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: SSSD Maintainers
QA Contact: sssd-qe
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-14 17:30 UTC by Lukas Slebodnik
Modified: 2017-11-30 17:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-30 17:53:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:3349 normal SHIPPED_LIVE Red Hat Enterprise Linux 7.4 Atomic SSSD Container Image Update 2017-12-01 02:51:40 UTC

Description Lukas Slebodnik 2017-11-14 17:30:11 UTC
Tracking rebuild of sssd-docker.

Comment 3 Nikhil Dehadrai 2017-11-27 09:55:30 UTC
-bash-4.2# atomic host status
State: idle
Deployments:
● atomic-host:rhel-atomic-host/7/x86_64/standard
                   Version: 7.4.3 (2017-11-10 15:40:53)
                    Commit: 7ffd9325771ad8bd4e15002ce441bfd21dfe89c4406ca314302c4d3d565630e7


IPA-Server-Version: ipa-server-4.5.0-22.el7_4.x86_64
IPA-Client-Version: ipa-client-4.5.0-22.el7_4.x86_64

IPA_DOCKER-Image: ipa-server-docker-4.5.0-14
SSSD-Docker-Image: sssd-docker-7.4-14

Tested the bug with following scenarios:
1. Verified that IPA-client is installed through sssd-container image against ipa-docker IPA server.(type1)
2. Verified that IPA-client is installed through sssd-container image against ipa-docker IPA server.(type2)
2. Verified that klist works when ipa-client is configured with sssd-container image.
3. Verified that ipa-user/ windows AD user details can be viewed from client machine.
4. Verified that SSH works when IPA-client is configured with sssd-container image.
5. Verified that latest version of ipa-client is available with sssd-container image.
6. Verified that IPA-client can be uninstalled.
7. Verified that IPA-client is installed through sssd-container(type1) image against RHEL ipa-server.
8. Verified that IPA-client is installed through sssd-container(type2) image against RHEL ipa-server.

Comment 5 Niranjan Mallapadi Raghavender 2017-11-27 10:30:17 UTC
Versions:
---------
● rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
        Version: 7.4.3 (2017-11-10 15:40:53)
	Commit: 7ffd9325771ad8bd4e15002ce441bfd21dfe89c4406ca314302c4d3d565630e7

sssd-docker-7.4-14

Following Tests were done.

sssd-docker as Application Container: Sanity:

IDM-SSSD-TC: SSSD-App-Container: Create a sssd application container on Atomic host 
IDM-SSSD-TC: SSSD-App-Container: Query AD users using ID command from sssd app container
IDM-SSSD-TC: SSSD-App-Container: Spawn sssd app container using realm join with adcli option 
IDM-SSSD-TC: SSSD-App-Container: Verify sssd application container runs as unprivileged  
IDM-SSSD-TC: SSSD-App-Container: kinit as AD User from sssd app container should be successfull    


sssd-docker as System Container: Sanity:

IDM-SSSD-TC: SSSD-System-Container: Deny specific ad user login to Atomic host  
IDM-SSSD-TC: SSSD-System-Container: Discover Windows Domain on atomic hostusing realm cli
IDM-SSSD-TC: SSSD-System-Container: Disjoin Atomic host from AD Domain using realm leave Cli
IDM-SSSD-TC: SSSD-System-Container: Join AD Domain using adcli as membership-software
IDM-SSSD-TC: SSSD-System-Container: Permit specific ad user login to Atomic host 
IDM-SSSD-TC: SSSD-System-Container: Query AD user using id command from new container
IDM-SSSD-TC: SSSD-System-Container: Query AD users using ID command   
IDM-SSSD-TC: SSSD-System-Container: Realm join with membership software samba
IDM-SSSD-TC: SSSD-System-Container: Verify sssd selinux label   
IDM-SSSD-TC: SSSD-System-Container: Verify uninstall container leaves domain  

KCM
----
IDM-SSSD-TC: SSSD-App-Container: Access user secrets using KCM responder URI	
IDM-SSSD-TC: SSSD-App-Container: KCM socket should auto start secrets socket	
IDM-SSSD-TC: SSSD-App-Container: Share KCM Credential cache with other containers
IDM-SSSD-TC: SSSD-App-Container: Verify ccname type is KCM in sssd application container
IDM-SSSD-TC: SSSD-App-Container: Verify sssd kcm socket

Comment 7 Niranjan Mallapadi Raghavender 2017-11-28 12:50:01 UTC
Did some basic sanity on New AH :

● rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
                    Version: 7.4.3 (2017-11-28 01:47:34)
                    Commit: ea9250f948428a4e67861ab1749842b82878bb66730cae4f3fece61b1d22715a


IDM-SSSD-TC: SSSD-App-Container: Create a sssd application container on Atomic host	1 min 25 sec	Passed
IDM-SSSD-TC: SSSD-App-Container: Query AD users using ID command from sssd app container	1 min 48 sec	Passed
IDM-SSSD-TC: SSSD-App-Container: Spawn sssd app container using realm join with adcli option	43 sec	Passed
IDM-SSSD-TC: SSSD-App-Container: Verify sssd application container runs as unprivileged	1 min 24 sec	Passed
IDM-SSSD-TC: SSSD-App-Container: kinit as AD User from sssd app container should be successfull	1 min 46 sec	Passed

Comment 8 Niranjan Mallapadi Raghavender 2017-11-29 03:17:35 UTC
One more respin of Atomic Host with new docker version.

● rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
                    Version: 7.4.3 (2017-11-28 16:49:56)
                     Commit: 13fe9e86d640fd257afe831e4b33ad1eb6183d7de2a550dc7397a7b4b1f6ef25

  rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
                    Version: 7.4.1 (2017-08-30 19:29:56)
                    Commit: e83c16780259c5272684221e2a6007300d94bbfdc5432f9ab6025300f447145b

IDM-SSSD-TC: SSSD-App-Container: Create a sssd application container on Atomic host	1 min 26 sec	Passed
IDM-SSSD-TC: SSSD-App-Container: Query AD users using ID command from sssd app container	1 min 41 sec	Passed
IDM-SSSD-TC: SSSD-App-Container: Spawn sssd app container using realm join with adcli option	44 sec	Passed
IDM-SSSD-TC: SSSD-App-Container: Verify sssd application container runs as unprivileged	1 min 26 sec	Passed
IDM-SSSD-TC: SSSD-App-Container: kinit as AD User from sssd app container should be successfull	1 min 31 sec	Passed

Comment 9 Niranjan Mallapadi Raghavender 2017-11-29 04:30:17 UTC
System container sanity tests on new AH


IDM-SSSD-TC: SSSD-System-Container: Deny specific ad user login to Atomic host	2 min 36 sec	Passed
IDM-SSSD-TC: SSSD-System-Container: Discover Windows Domain on atomic host using realm cli	25 sec	Passed
IDM-SSSD-TC: SSSD-System-Container: Disjoin Atomic host from AD Domain using realm leave Cli	1 min 6 sec	Passed
IDM-SSSD-TC: SSSD-System-Container: Join AD Domain using adcli as membership-software	37 sec	Passed
IDM-SSSD-TC: SSSD-System-Container: Permit specific ad user login to Atomic host	2 min 12 sec	Passed
IDM-SSSD-TC: SSSD-System-Container: Query AD user using id command from new container	2 min 8 sec	Passed
IDM-SSSD-TC: SSSD-System-Container: Query AD users using ID command	1 min 54 sec	Passed
IDM-SSSD-TC: SSSD-System-Container: Realm join with membership software samba	1 min 42 sec	Passed
IDM-SSSD-TC: SSSD-System-Container: Verify sssd selinux label	1 min 36 sec	Passed
IDM-SSSD-TC: SSSD-System-Container: Verify uninstall container leaves domain	59 sec	Passed

Comment 11 Nikhil Dehadrai 2017-11-29 07:41:53 UTC
-bash-4.2# atomic host status
State: idle
Deployments:
● atomic-host:rhel-atomic-host/7/x86_64/standard
                   Version: 7.4.3 (2017-11-28 01:47:34)
                    Commit: ea9250f948428a4e67861ab1749842b82878bb66730cae4f3fece61b1d22715a

IPA-Server-Version: ipa-server-4.5.0-22.el7_4.x86_64
IPA-Client-Version: ipa-client-4.5.0-22.el7_4.x86_64

IPA_DOCKER-Image: ipa-server-docker-4.5.0-15
SSSD-Docker-Image: sssd-docker-7.4-14

Tested the bug with following scenarios:
1. Verified that IPA-client is installed through sssd-container image against ipa-docker IPA server.(type1)
2. Verified that IPA-client is installed through sssd-container image against ipa-docker IPA server.(type2)
2. Verified that klist works when ipa-client is configured with sssd-container image.
3. Verified that ipa-user/ windows AD user details can be viewed from client machine.
4. Verified that SSH works when IPA-client is configured with sssd-container image.
5. Verified that latest version of ipa-client is available with sssd-container image.
6. Verified that IPA-client can be uninstalled.
7. Verified that IPA-client is installed through sssd-container(type1) image against RHEL ipa-server.
8. Verified that IPA-client is installed through sssd-container(type2) image against RHEL ipa-server.

Comment 14 errata-xmlrpc 2017-11-30 17:53:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3349


Note You need to log in before you can comment on or make changes to this bug.